
Ruby - Bug #1419

Tk, segmentation fault

04/29/2009 06:01 PM - OlegPuchinin (Oleg Puchinin)

Status: Closed   

Priority: Normal   

Assignee: nagai (Hidetoshi Nagai)   

Target version: 1.9.2   

ruby -v: ruby 1.9.2dev (2009-04-29 trunk 23306)

[i686-linux]

Backport:  

Description

=begin

linux-jb1a:/home/oleg/src/RUBY/SVN/ruby/ext/tk/sample # ruby ./menubar1.rb

/usr/local/lib/ruby/site_ruby/1.9.1/tk.rb:1136: [BUG] Segmentation fault

ruby 1.9.2dev (2009-04-29 trunk 23306) [i686-linux]

-- control frame ----------

c:0008 p:---- s:0036 b:0036 l:000035 d:000035 CFUNC  :_invoke

c:0007 p:0310 s:0031 b:0031 l:000030 d:000030 CLASS 

/usr/local/lib/ruby/site_ruby/1.9.1/tk.rb:1136

c:0006 p:0087 s:0026 b:0026 l:000025 d:000025 TOP   

/usr/local/lib/ruby/site_ruby/1.9.1/tk.rb:1108

c:0005 p:---- s:0015 b:0015 l:000014 d:000014 FINISH

c:0004 p:---- s:0013 b:0013 l:000012 d:000012 CFUNC  :require

c:0003 p:0011 s:0009 b:0009 l:000eb4 d:002098 EVAL   ./menubar1.rb:5

c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH

c:0001 p:0000 s:0002 b:0002 l:000eb4 d:000eb4 TOP    :17

./menubar1.rb:5:in <main>' ./menubar1.rb:5:in require'

/usr/local/lib/ruby/site_ruby/1.9.1/tk.rb:1108:in <top (required)>' /usr/local/lib/ruby/site_ruby/1.9.1/tk.rb:1136:in module:TkCore'

/usr/local/lib/ruby/site_ruby/1.9.1/tk.rb:1136:in `_invoke'

-- C level backtrace information -------------------------------------------

0x815b9d5 ruby(rb_vm_bugreport+0xb5) [0x815b9d5]

0x8196d2e ruby [0x8196d2e]

0x8196dc8 ruby(rb_bug+0x28) [0x8196dc8]

0x80f31c5 ruby [0x80f31c5]

0xffffe410 [0xffffe410]

0x8147a8d ruby [0x8147a8d]

0x8159376 ruby [0x8159376]

0x814c5eb ruby [0x814c5eb]

0x8152fce ruby [0x8152fce]

0x815337a ruby(rb_iseq_eval+0xfa) [0x815337a]

0x8199f17 ruby(rb_load+0x167) [0x8199f17]

0x819ade3 ruby(rb_require_safe+0x583) [0x819ade3]

0x8159376 ruby [0x8159376]

0x814c5eb ruby [0x814c5eb]

0x8152fce ruby [0x8152fce]

0x8153253 ruby(rb_iseq_eval_main+0x1a3) [0x8153253]

0x805ce77 ruby(ruby_exec_node+0x97) [0x805ce77]

0x805e606 ruby(ruby_run_node+0x46) [0x805e606]

0x805c150 ruby(main+0x60) [0x805c150]

0xb7cf6705 /lib/libc.so.6(__libc_start_main+0xe5) [0xb7cf6705]

0x805c051 ruby [0x805c051]

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

=end

History

#1 - 07/14/2009 12:03 AM - yugui (Yuki Sonoda)

- Target version set to 1.9.2

=begin

=end

#2 - 07/16/2009 04:29 PM - yugui (Yuki Sonoda)

- Assignee set to nagai (Hidetoshi Nagai)

=begin

=end

#3 - 08/04/2009 01:52 AM - nagai (Hidetoshi Nagai)

- Status changed from Open to Closed

- Priority changed from 5 to Normal

=begin

やり取りの結果，報告者の環境（コンパイルオプションやライブラリの状態）の不整合が疑われたため，

その不整合箇所を修正した上でのテストを報告者に依頼したが，その後は連絡なし．

よって確認は取れていないが，問題は解消したものとして，やむを得ず close する．

=end
